<?php
        /* Zeile bitte nicht löschen. Datei befindet sich im Wordpress-Root-Verzeichnis und der Pfad muss entsprechend angepasst werden. */
        require_once("diary/wp-config.php");
		$wp->init(); $wp->parse_request(); $wp->query_posts();
		$wp->register_globals(); $wp->send_headers();
        
		/* Bindet die Ausgabe-Funktionen vom Plugin direkt ein */
        require_once  ATKP_PLUGIN_DIR.'/includes/atkp_output.php';
        $output = new atkp_output();
        
		/* Die URL zur Toolkit-CSS Datei */
        $url_css = $output->get_css_url();
		/* Die URL zur Toolkit-Javscript Datei */
        $url_js = $output->get_js_url();
        
		/* Inline-CSS welches direkt in der Oberfläche konfiguriert wird bzw. mit den Vorlagen mitkommt */
        $custom_css = $output->get_css_output();
?>


<!DOCTYPE html>
<html>
<head>

<link rel='stylesheet' id='atkp-styles-css'  href='<?php echo $url_css ?>' type='text/css' media='all' />
<script type='text/javascript' src='<?php echo $url_js ?>'></script>

<style>

<?php echo $custom_css; ?>

.flex-container {
    display: -webkit-flex;
    display: flex;
    -webkit-flex-flow: row wrap;
    flex-flow: row wrap;
    text-align: center;
}

.flex-container > * {
    padding: 15px;
    -webkit-flex: 1 100%;
    flex: 1 100%;
}

.article {
    text-align: left;
}

header {background: black;color:white;}
footer {background: #aaa;color:white;}
.nav {background:#eee;}

.nav ul {
    list-style-type: none;
 padding: 0;
}
   
.nav ul a {
 text-decoration: none;
}

@media all and (min-width: 768px) {
    .nav {text-align:left;-webkit-flex: 1 auto;flex:1 auto;-webkit-order:1;order:1;}
    .article {-webkit-flex:5 0px;flex:5 0px;-webkit-order:2;order:2;}
    footer {-webkit-order:3;order:3;}
}
</style>
</head>
<body>

<div class="flex-container">
<header>
  <h1>Affiliate Toolkit Demoseite</h1>
</header>

<nav class="nav">
<?php
	try {
		/*$id ist die Produkt-ID aus dem Wordpress-Customposttype*/
		$id = 4959;
		$content ='';
		$template = 'box';
		$buttontype = 'notset';
		$field ='';
		$link = false;
		$elementcss = '';
		$containercss = '';
		$hidedisclaimer = false;
		
		/* Einbindung eines einzelnen Produktes. Parameter stimmen zum größten Teil mit dem aus dem Shortcodegenerator überein. Evtl. mit diesem die Paramter generieren. */
		echo  $output->get_product_output($id, $template, $content, $buttontype, $field, $link, $elementcss, $containercss, $hidedisclaimer);
	} catch(Exception $e) { 
		echo 'Exception: '. $e->getMessage();
	}

?>
</nav>

<article class="article">
  <h1>Eine Liste aus dem Toolkit</h1>
  <?php
	try {
		/*$id ist die Listen-ID aus dem Wordpress-Customposttype*/
		$id = 4945;
		$content ='';
		$template = 'wide';
		$buttontype = 'notset';
		$elementcss = '';
		$containercss = '';
		$limit = 10;
		$randomsort = false;
		$hidedisclaimer = false;
					
		/* Einbindung einer kompletten Liste. Parameter stimmen zum größten Teil mit dem aus dem Shortcodegenerator überein. Evtl. mit diesem die Paramter generieren. */
		echo $output->get_list_output($id, $template, $content, $buttontype, $elementcss, $containercss, $limit, $randomsort, $hidedisclaimer);  
	} catch(Exception $e) { 
		echo 'Exception: '. $e->getMessage();
	}
  ?>
</article>

<footer>Copyright © affiliate-toolkit.com</footer>
</div>

</body>
</html>

